Index: ps.py
===================================================================
--- deps.py	(revision 00852df96020c35aedab1bb7e0e28f7f059b058c)
+++ 	(revision )
@@ -1,207 +1,0 @@
-"""
-    Check dependencies
-"""
-import sys
-print sys.version
-
-def check_deps():
-    try:
-        import matplotlib
-        print "matplotlib ", matplotlib.__version__
-    except:
-        print "No matplotlib: recommending 1.1.0"
-        
-    try:
-        import wx
-        print "wx ", wx.__version__
-    except:
-        print "No wx: recommending 2.8.12.1"
-        
-    try:
-        import scipy
-        print "scipy ", scipy.__version__
-    except:
-        print "No scipy: recommending 0.10.0"
-        
-    try:
-        import numpy
-        print "numpy ", numpy.__version__
-    except:
-        print "No numpy: recommending 1.1.0"
-        
-    try:
-        import lxml.etree
-        print "lxml ", lxml.etree.__version__
-    except:
-        print "No lxml: recommend 2.3.0"
-        
-    try:
-        import reportlab
-        print "reportlab ", reportlab.Version
-    except:
-        print "No reportlab"
-        
-    try:
-        import PIL
-        print "PIL"
-    except:
-        print "No PIL"
-        
-    # The following is necessary to build an app
-    try:
-        import py2app
-        print "py2app ", py2app.__version__
-    except:
-        print "No py2app: recommending version >= 0.6.4"
-        
-    try:
-        import altgraph
-        print "altgraph ", altgraph.__version__
-    except:
-        print "No altgraph"    
-        
-    try:
-        import modulegraph
-        print "modulegraph ", modulegraph.__version__
-    except:
-        print "No modulegraph: recommending version >= 0.9.1"
-        
-    try:
-        import macholib
-        print "macholib ", macholib.__version__
-    except:
-        print "No macholib: recommending version >= 1.4.3"
-        
-    try:
-        import ho.pisa
-        print "ho.pisa ", ho.pisa.__version__
-    except:
-        print "No pisa"
-    
-    
-def check_system():
-    """
-        Checks that the system has the necessary modules.
-        This is an early and more complete variation of the system
-        check in check_deps()
-    """
-    is_ok = True
-    msg = ''
-    try:
-        import wx
-        if not wx.__version__.count('2.8.11') and \
-             not wx.__version__.count('2.8.12'):
-            mesg = "wx: Recommending version 2.8.11 or 2.8.12"
-            msg += mesg + "\n"
-            print mesg
-    except:
-        is_ok = False
-        mesg = "Error: wxpython 2.8.11 (12) missing"
-        msg += mesg + "\n"
-        print mesg
-        logging.error("wxpython missing")
-    
-    try:
-        import matplotlib
-        if not matplotlib.__version__.count('0.99.0') and \
-             not matplotlib.__version__.count('0.99.1'):
-            mesg = "matplotlib: Recommending version 0.99.0 or 0.99.1"
-            msg += mesg + "\n"
-            print mesg
-    except:
-        is_ok = False
-        mesg = "Error: matplotlib 0.99.0 (1) missing"
-        msg += mesg + "\n"
-        print mesg
-        logging.error("matplotlib missing")
-        
-    try:
-        import numpy 
-        if not numpy.__version__.count('1.4.1'):
-            mesg = "numpy: Recommending version 1.4.1"
-            msg += mesg + "\n"
-            print mesg
-    except:
-        is_ok = False
-        mesg = "Error: numpy 1.4.1 missing"
-        msg += mesg + "\n"
-        print mesg
-        logging.error("numpy missing")
-        
-    try:
-        import scipy 
-        if not scipy.__version__.count('0.7.2'):
-            mesg = "scipy: Recommending version 0.7.2"
-            msg += mesg + "\n"
-            print mesg
-    except:
-        is_ok = False
-        mesg = "Error: scipy 0.7.2 missing"
-        msg += mesg + "\n"
-        print mesg
-        logging.error("scipy missing")
-
-    try:
-        import periodictable
-        if not periodictable.__version__.count('1.3.0'):
-            mesg = "periodictable: Recommending version 1.3.0"
-            msg += mesg + "\n"
-            print mesg
-    except:
-        print "Trying to install perodic table..."
-        try:
-            os.system("easy_install periodictable")
-            print "installed periodictable"
-        except:
-            is_ok = False
-            mesg = "Error: periodictable missing"
-            msg += mesg + "\n"
-            print "easy_install periodictable failed"
-            logging.error("periodictable missing")
-    
-     
-    try:
-        if sys.platform.count("win32")> 0:
-            from wx.lib.pdfwin import PDFWindow   
-    except:
-        is_ok = False
-        mesg = "comtypes missing"
-        msg += mesg + "\n"
-        print mesg
-        logging.error("comtypes missing")
-        
-    try:
-        if sys.platform.count("win32")> 0:
-            import win32com
-    except:
-        is_ok = False
-        mesg = "pywin32 missing"
-        msg += mesg + "\n"
-        print mesg
-        logging.error("pywin32 missing")
-            
-    try:
-        import pyparsing
-    except:
-        try:
-            os.system("easy_install 'pyparsing==1.5.5'")
-            print "installed pyparsing"
-        except:
-            is_ok = False
-            mesg = "pyparsing missing"
-            msg += mesg + "\n"
-            print mesg
-            print "easy_install pyparsing failed"
-            logging.error("pyparsing missing")
-              
-    if os.system("gcc -dumpversion")==1:
-        is_ok = False
-        mesg = "missing mingw/gcc"
-        msg += mesg + "\n"
-        print mesg
-        logging.error("missing mingw/gcc")
-    
-    return is_ok, msg
-
-check_deps()
-    
Index: sansview/local_config.py
===================================================================
--- sansview/local_config.py	(revision 386b313d7d5cb3f20848b0a69a6e10f3d9ff6cf8)
+++ sansview/local_config.py	(revision 49d019cbdd421808534f8e0cecca10dfcd89ad05)
@@ -90,5 +90,5 @@
 SPLASH_SCREEN_WIDTH = 512
 SPLASH_SCREEN_HEIGHT = 366
-SS_MAX_DISPLAY_TIME = 6000 #6 sec
+SS_MAX_DISPLAY_TIME = 2000
 WELCOME_PANEL_ON  = True
 WELCOME_PANEL_SHOW = False
Index: src/sans/guiframe/config.py
===================================================================
--- src/sans/guiframe/config.py	(revision 5777106e8a4a0a62fe2ee0fbaf7c0aa19c0bb92b)
+++ src/sans/guiframe/config.py	(revision 49d019cbdd421808534f8e0cecca10dfcd89ad05)
@@ -77,5 +77,5 @@
 WELCOME_PANEL_ON  = False
 TUTORIAL_PATH = None
-SS_MAX_DISPLAY_TIME = 4000 #4 sec
+SS_MAX_DISPLAY_TIME = 1500
 PLOPANEL_WIDTH = 350
 PLOPANEL_HEIGTH = 350
Index: src/sans/guiframe/gui_manager.py
===================================================================
--- src/sans/guiframe/gui_manager.py	(revision f7bead230d2c4f1181273f8b148133c52c1b243f)
+++ src/sans/guiframe/gui_manager.py	(revision 49d019cbdd421808534f8e0cecca10dfcd89ad05)
@@ -999,8 +999,7 @@
         size_t_bar = 70
         if not IS_WIN:
-            x_pos, _ = frame.GetPositionTuple()
             if IS_LINUX:
                 size_t_bar = 115
-            frame.SetPosition((x_pos, mac_pos_y + size_t_bar))
+            frame.SetPosition((0, mac_pos_y + size_t_bar))
         frame.Show(True)
         #add data panel 
@@ -1010,6 +1009,6 @@
         self.panels["data_panel"] = data_panel
         self._data_panel = data_panel
-        w, h = self._get_panels_size(self._data_panel)
-        win.SetSize((w, h))
+        d_panel_width, h = self._get_panels_size(self._data_panel)
+        win.SetSize((d_panel_width, h))
         style = self.__gui_style & GUIFRAME.MANAGER_ON
         if style != GUIFRAME.MANAGER_ON:
@@ -1018,8 +1017,6 @@
             flag = True
         if not IS_WIN:
-            x_pos, _ = win.GetPositionTuple()
-            win.SetPosition((x_pos, mac_pos_y + size_t_bar))
+            win.SetPosition((0, mac_pos_y + size_t_bar))
         win.Show(flag)
-        d_panel_width = w
         # Add the panels to the AUI manager
         for panel_class in panels:
@@ -1046,5 +1043,5 @@
             if not IS_WIN:
                 x_pos, _ = frame.GetPositionTuple()
-                frame.SetPosition((x_pos, mac_pos_y + size_t_bar))
+                frame.SetPosition((d_panel_width + 1, mac_pos_y + size_t_bar))
 
         if not IS_WIN:
@@ -1654,5 +1651,4 @@
         panel_id = str(evt.GetId())
         self.on_set_plot_focus(self.panels[panel_id])
-        self.show_panel(evt.GetId(), 'on')      
         wx.CallLater(5*TIME_FACTOR, self.set_schedule(True))
         self.set_plot_unfocus()
@@ -1780,14 +1776,4 @@
 
         self._default_save_location = os.path.dirname(path)
-        
-    def show_panel(self, uid, show=None):
-        """
-        Shows the panel with the given id
-        
-        :param uid: unique ID number of the panel to show
-        
-        """
-        #Not implemeted
-        return
         
     def load_state(self, path, is_project=False):   
@@ -3410,13 +3396,12 @@
         # case the splash screen disappears upon entering the event loop.
         s_screen = wx.SplashScreen(bitmap=bm,
-                         splashStyle=(wx.SPLASH_TIMEOUT|
-                                              wx.SPLASH_CENTRE_ON_SCREEN),
-                                 style=(wx.SIMPLE_BORDER|
-                                        wx.FRAME_NO_TASKBAR|
-                                        wx.FRAME_FLOAT_ON_PARENT),
-                                        
-                        milliseconds=SS_MAX_DISPLAY_TIME,
-                        parent=parent,
-                        id=wx.ID_ANY)
+                                   splashStyle=(wx.SPLASH_TIMEOUT|
+                                                wx.SPLASH_CENTRE_ON_SCREEN),
+                                   style=(wx.SIMPLE_BORDER|
+                                          wx.FRAME_NO_TASKBAR|
+                                          wx.FRAME_FLOAT_ON_PARENT),
+                                   milliseconds=SS_MAX_DISPLAY_TIME,
+                                   parent=parent,
+                                   id=wx.ID_ANY)
         from sans.guiframe.gui_statusbar import SPageStatusbar
         statusBar = SPageStatusbar(s_screen)
